<VirtualHost *:441>
	ServerName hillstouch.com
	ServerAdmin root@nipl.net
	
	DocumentRoot /www/hillstouch.com/
	<Directory /www/hillstouch.com/>
		AddHandler cgi-script .cgi
		Options Indexes FollowSymLinks MultiViews ExecCGI
		AllowOverride All
		Require all granted
	</Directory>

	ErrorLog /var/log/apache2/hillstouch-error.log
	LogLevel warn
	CustomLog /var/log/apache2/hillstouch-access.log combined

	SSLCertificateFile /etc/letsencrypt/live/hillstouch.com/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/hillstouch.com/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>

<VirtualHost *:441>
	ServerName www.hillstouch.com
	ServerAlias hillstouch.com.au
	ServerAlias www.hillstouch.com.au
	ServerAlias touchfootball.com.au
	ServerAlias www.touchfootball.com.au
	ServerAdmin root@nipl.net
	DocumentRoot /www/hillstouch.com/

	ErrorLog /var/log/apache2/hillstouch-error.log
	LogLevel warn
	CustomLog /var/log/apache2/hillstouch-access.log combined

        RewriteEngine on
        RewriteRule ^/(.*)$ https://hillstouch.com/$1 [L]
#        RewriteLog /var/log/apache2/hillstouch-rewrite.log

	SSLCertificateFile /etc/letsencrypt/live/hillstouch.com/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/hillstouch.com/privkey.pem
	Include /etc/letsencrypt/options-ssl-apache.conf
</VirtualHost>
